aboutsummaryrefslogtreecommitdiff
path: root/www/jakarta-tomcat5/pkg-deinstall
diff options
context:
space:
mode:
authorErnst de Haan <znerd@FreeBSD.org>2003-08-13 11:39:38 +0000
committerErnst de Haan <znerd@FreeBSD.org>2003-08-13 11:39:38 +0000
commit115f42c702cf0ac553a6100f6c68a8079c033219 (patch)
treeb1893873f9fd5bf46a7f31d44f20a87bb7f8dfc2 /www/jakarta-tomcat5/pkg-deinstall
parent91a7ec4395569ce9db49bb73a0b541b0be3cb295 (diff)
Notes
Diffstat (limited to 'www/jakarta-tomcat5/pkg-deinstall')
-rw-r--r--www/jakarta-tomcat5/pkg-deinstall45
1 files changed, 45 insertions, 0 deletions
diff --git a/www/jakarta-tomcat5/pkg-deinstall b/www/jakarta-tomcat5/pkg-deinstall
new file mode 100644
index 000000000000..f52cdbcedde0
--- /dev/null
+++ b/www/jakarta-tomcat5/pkg-deinstall
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# This script does the following.
+#
+# * Checks if the PID file exists. If it does, it kills the
+# process and removes the PID file.
+#
+# * Checks if the 'www' user exists. If it does, then it displays
+# a message.
+#
+# $FreeBSD: /tmp/pcvs/ports/www/jakarta-tomcat5/Attic/pkg-deinstall,v 1.1 2003-08-13 11:39:38 znerd Exp $
+#
+
+# Make sure we're in the right stage of the process
+if [ "$2" = "DEINSTALL" ]; then
+
+ # Kill the process if it is still running
+ PID_FILE=/var/run/tomcat4.pid
+ if [ -s ${PID_FILE} ]; then
+ PID=`cat ${PID_FILE}`
+ echo -n ">> Killing Jakarta Tomcat process (${PID})..."
+ /bin/kill ${PID} > /dev/null 2> /dev/null
+ if [ $? -eq 0 ]; then
+ echo " [ DONE ]"
+ else
+ echo " [ FAILED ]"
+ fi
+ echo -n ">> Removing PID file (${PID_FILE})..."
+ rm ${PID_FILE} > /dev/null 2> /dev/null
+ if [ $? -eq 0 ]; then
+ echo " [ DONE ]"
+ else
+ echo " [ FAILED ]"
+ fi
+ fi
+fi
+
+if [ "$2" = "POST-DEINSTALL" ]; then
+ # If the user exists, then display a message
+ if pw usershow "www" 2>/dev/null 1>&2; then
+ echo "To delete the www user permanently, use 'pw userdel www'"
+ fi
+fi
+
+exit 0